Package io.vertx.json.schema

## Class SchemaException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - io.vertx.core.VertxException
        - - io.vertx.json.schema.SchemaException

- All Implemented Interfaces:
    `Serializable`

      public class SchemaException
      extends VertxException

  This class represents an error while parsing a `Schema`
  Author:
    slinkydeveloper
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SchemaException​(Object schema, String message)` |
    `SchemaException​(Object schema, String message, Throwable cause)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Object` | `schema()` | Json representation of the schema
    `String` | `toString()` |

    - ### Methods inherited from class io.vertx.core.VertxException

      `noStackTrace, noStackTrace, noStackTrace`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SchemaException

          public SchemaException​(Object schema,
                                 String message,
                                 Throwable cause)

    - #### SchemaException

          public SchemaException​(Object schema,
                                 String message)

  - ### Method Detail

    - #### schema

          public Object schema()

      Json representation of the schema
      Returns:

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Throwable`